# PublicationArtifact

interface PublicationArtifact : Buildable

An artifact published as part of a Publication.

#### Since

4.8

#### Inheritors

IvyArtifact
MavenArtifact

## Functions

builtBy
Link copied to clipboard
abstract fun builtBy(tasks: Array<Any>)
Registers some tasks which build this artifact.
getBuildDependencies
Link copied to clipboard
abstract fun getBuildDependencies(): TaskDependency
getFile
Link copied to clipboard
abstract fun getFile(): File
The actual file contents to publish.